# Bitmap Font Generator - Documentation

Back to main page

## Command line parameters

The application can be used from the command line, to performed automated generation of font files. The prerequisite is a font configuration file, that you can save from the application, or even generate yourself. The command line parameters are:

- -c fontconfig.bmfc : Names the configuration file with the options for generating the font.
- -o outputfile.fnt : Names of the output font file.
- -t textfile.txt : Optional argument that names a text file. All characters present in the text file will be added to the font.

When running the application from the command line and you want the generation to complete before returning control to the console the bmfont.com application should be used rather than the bmfont.exe application.